javax.xml.ws

## Class WebServicePermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - javax.xml.ws.WebServicePermission

- All Implemented Interfaces:
    Serializable, Guard

      public final class WebServicePermission
      extends BasicPermission

  This class defines web service permissions.

  Web service Permissions are identified by name (also referred to as a "target name") alone. There are no actions associated with them.

  The following permission target name is defined:

  publishEndpoint

  The `publishEndpoint` permission allows publishing a web service endpoint using the `publish` methods defined by the `javax.xml.ws.Endpoint` class.

  Granting `publishEndpoint` allows the application to be exposed as a network service. Depending on the security of the runtime and the security of the application, this may introduce a security hole that is remotely exploitable.

  See Also:
    `Endpoint`, `BasicPermission`, `Permission`, `Permissions`, `SecurityManager`, `SocketPermission`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServicePermission(String name)` Creates a new permission with the specified name.
    `WebServicePermission(String name, String actions)` Creates a new permission with the specified name and actions.

  - ### Method Summary

    - ### Methods inherited from class java.security.BasicPermission

      `equals, getActions, hashCode, implies, newPermissionCollection`

    - ### Methods inherited from class java.security.Permission

      `checkGuard, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebServicePermission

          public WebServicePermission(String name)

      Creates a new permission with the specified name.
      Parameters:
        `name` - the name of the `WebServicePermission`

    - #### WebServicePermission

          public WebServicePermission(String name,
                              String actions)

      Creates a new permission with the specified name and actions. The `actions` parameter is currently unused and it should be `null`.
      Parameters:
        `name` - the name of the `WebServicePermission`
        `actions` - should be `null`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.